---
title: Element.hasAttributes()
slug: Web/API/Element/hasAttributes
tags:
  - API
  - DOM
  - Element
  - Method
  - Reference
---
<div>{{ApiRef("DOM")}}</div>

<p>The <strong><code>hasAttributes()</code></strong> method of the {{domxref("Element")}} interface returns a {{jsxref("Boolean")}} indicating whether the current element has any attributes or not.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>result</var> = <var>element</var>.hasAttributes();</pre>

<h3 id="Return_value">Return value</h3>

<dl>
 <dt><code><var>result</var></code></dt>
 <dd>holds the return value <code>true</code> or <code>false</code>.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="brush:js">let foo = document.getElementById('foo');
if (foo.hasAttributes()) {
  // Do something with 'foo.attributes'
}
</pre>

<h2 id="Polyfill">Polyfill</h2>

<pre class="brush:js">;(function(prototype) {
  prototype.hasAttributes = prototype.hasAttributes || function() {
    return (this.attributes.length &gt; 0);
  }
})(Element.prototype);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("DOM WHATWG", "#dom-element-hasattributes", "Element.hasAttributes()")}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>Moved from the {{domxref("Node")}} interface to the more specialized {{domxref("Element")}} interface.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM3 Core','#ID-NodeHasAttrs','hasAttributes()')}}</td>
   <td>{{Spec2('DOM3 Core')}}</td>
   <td>No change from {{SpecName("DOM2 Core")}}</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Core','#ID-NodeHasAttrs','hasAttributes()')}}</td>
   <td>{{Spec2('DOM2 Core')}}</td>
   <td>Initial definition, on the {{domxref("Node")}} interface.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.hasAttributes")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Element.attributes")}}</li>
 <li>{{domxref("Element.hasAttribute()")}}</li>
</ul>
